Page MenuHomePhabricator

rebuild php-wikidiff2 and php-luasandbox for php7 and stretch
Closed, ResolvedPublic

Description

The current versions of these packages for stretch require php5.

Needed for migration of the apps cluster to stretch/php7.

Event Timeline

ArielGlenn triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2018, 1:19 PM

@Legoktm already prepared a stretch-backports upload of php-luasandbox, so we can use that one. We could update wikidiff2 in stretch-backports to 1.5.1-3 and stick with the Debian releases?

Works for me, but the actual users of these packages should probably weigh in ;-)

I prepped a stretch backport of wikidiff2 and put it on mentors https://mentors.debian.net/package/wikidiff2 - I belive it'll need to go through backports-NEW though.

I think sticking with the Debian releases is fine for now, if we do have to update them in a timely manner (bypass the testing/backports 2-5 day delay) it should be trivial to upload newer versions to apt.wm.o that have a higher priority than stretch-backports. I would expect that when we drop hhvm support from the packages, they will just use the standard Debian packaging.

Legoktm claimed this task.Feb 1 2018, 9:13 PM

Moritz uploaded wikidiff2 to stretch-backports, it's currently waiting in the backports NEW queue: https://ftp-master.debian.org/backports-new.html

Legoktm closed this task as Resolved.Feb 2 2018, 11:26 AM

Both wikidiff2 and luasandbox are now in stretch-backports.

In addition I'll drop the php-wikidiff2 from our internal src:php-wikidiff2 package (so that it only builds hhvm-wikidiff2).

I've verified that the beta snapshot instance picks up this package with no tweaks to repos or pinning needed. Thanks!